- updated to 3.34.0 auto/th/sushi-3.34.0-1
authorJakub Bogusz <qboosh@pld-linux.org>
Sun, 17 Nov 2019 18:23:47 +0000 (19:23 +0100)
committerJakub Bogusz <qboosh@pld-linux.org>
Sun, 17 Nov 2019 18:23:47 +0000 (19:23 +0100)
sushi.spec

index acd889fb03c20566979440d2006bd7f804ed654f..72ad8216b2c23555e957c6ba1b1c3590ca62689d 100644 (file)
@@ -1,42 +1,37 @@
 Summary:       A quick previewer for Nautilus
 Summary(pl.UTF-8):     Szybki podglÄ…d dla Nautilusa
 Name:          sushi
-Version:       3.30.0
-Release:       2
+Version:       3.34.0
+Release:       1
 License:       GPL v2+ with GStreamer plugins exception
 Group:         X11/Applications
-Source0:       http://ftp.gnome.org/pub/GNOME/sources/sushi/3.30/%{name}-%{version}.tar.xz
-# Source0-md5: c40b9f94795ee8162dc963f62ea4d8c9
-URL:           https://live.gnome.org/ThreePointOne/Features/FilePreviewing
-BuildRequires: autoconf >= 2.63
-BuildRequires: automake >= 1:1.10
-BuildRequires: clutter-devel >= 1.12.0
-BuildRequires: clutter-gst-devel >= 3.0
-BuildRequires: clutter-gtk-devel >= 1.0.2
+Source0:       http://ftp.gnome.org/pub/GNOME/sources/sushi/3.34/%{name}-%{version}.tar.xz
+# Source0-md5: 3f99bca575004199a0fc6920dbda5f9a
+URL:           https://wiki.gnome.org/ThreePointOne/Features/FilePreviewing
 BuildRequires: evince-devel >= 3.2.0
-BuildRequires: freetype-devel
+BuildRequires: freetype-devel >= 2
 BuildRequires: gdk-pixbuf2-devel >= 2.23.0
 BuildRequires: gjs-devel >= 1.38.0
 BuildRequires: glib2-devel >= 1:2.30.0
 BuildRequires: gobject-introspection-devel >= 0.10.0
 BuildRequires: gstreamer-devel >= 1.0.0
 BuildRequires: gstreamer-plugins-base-devel >= 1.0.0
-BuildRequires: gtk+3-devel >= 3.14.0
+BuildRequires: gtk+3-devel >= 3.22.0
 BuildRequires: gtk-webkit4-devel
-BuildRequires: gtksourceview3-devel
+BuildRequires: gtksourceview4-devel >= 4.0.3
 BuildRequires: harfbuzz-devel >= 0.9.9
-BuildRequires: intltool >= 0.40.0
 BuildRequires: libmusicbrainz5-devel
-BuildRequires: libtool
+BuildRequires: meson >= 0.46.0
+BuildRequires: ninja >= 1.5
 BuildRequires: pkgconfig >= 1:0.22
+BuildRequires: rpmbuild(macros) >= 1.736
 BuildRequires: tar >= 1:1.22
 BuildRequires: xz
-Requires:      clutter >= 1.12.0
-Requires:      clutter-gtk >= 1.0.2
 Requires:      gdk-pixbuf2 >= 2.23.0
 Requires:      gjs >= 1.38.0
 Requires:      glib2 >= 1:2.30.0
-Requires:      gtk+3 >= 3.14.0
+Requires:      gtk+3 >= 3.22.0
+Requires:      gtksourceview4 >= 4.0.3
 Requires:      harfbuzz >= 0.9.9
 Obsoletes:     sushi-devel < 3.6.0
 BuildRoot:     %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
@@ -53,24 +48,14 @@ GNOME.
 %setup -q
 
 %build
-%{__intltoolize}
-%{__libtoolize}
-%{__aclocal} -I m4
-%{__autoconf}
-%{__autoheader}
-%{__automake}
-%configure \
-       --disable-static \
-       --disable-silent-rules
-%{__make}
+%meson build
+
+%ninja_build -C build
 
 %install
 rm -rf $RPM_BUILD_ROOT
 
-%{__make} install \
-       DESTDIR=$RPM_BUILD_ROOT
-
-%{__rm} $RPM_BUILD_ROOT%{_libdir}/sushi/*.la
+%ninja_install -C build
 
 %find_lang %{name}
 
@@ -79,12 +64,14 @@ rm -rf $RPM_BUILD_ROOT
 
 %files -f %{name}.lang
 %defattr(644,root,root,755)
-%doc AUTHORS NEWS README TODO
+# COPYING contains exception text
+%doc AUTHORS COPYING NEWS README TODO
 %attr(755,root,root) %{_bindir}/sushi
-%attr(755,root,root) %{_libexecdir}/sushi-start
+%attr(755,root,root) %{_libexecdir}/org.gnome.NautilusPreviewer
 %dir %{_libdir}/sushi
 %attr(755,root,root) %{_libdir}/sushi/libsushi-1.0.so
 %dir %{_libdir}/sushi/girepository-1.0
 %{_libdir}/sushi/girepository-1.0/Sushi-1.0.typelib
-%{_datadir}/%{name}
 %{_datadir}/dbus-1/services/org.gnome.NautilusPreviewer.service
+%{_datadir}/metainfo/org.gnome.NautilusPreviewer.appdata.xml
+%{_datadir}/sushi
This page took 0.114954 seconds and 4 git commands to generate.